#include <iostream>
using namespace std;
int main ()
{
    int n, d, k, sum, pr;
    cin >> n >> d >> k;//k=broi, n=posledno chislo, d= preskachani dygi
    for (int i=1; i<n; i++)
    {
        sum=i+d;
    }
    sum=sum*2+1;
    cout << sum;
    return 0;

}
